## NAME

r.out.tiff - Exports a GRASS raster map to a 8/24bit TIFF image file at the pixel resolution of the currently defined region.

## KEYWORDS

raster, export

## SYNOPSIS

r.out.tiff
r.out.tiff help
r.out.tiff [-ptlv] input=name output=string [compression=string] [--verbose] [--quiet]

### Flags:

-p
  TIFF Palette output (8bit instead of 24bit).
-t
  Output TIFF world file
-l
  Output Tiled TIFF
-v
  Verbose mode
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input raster map
output=string
  Name for new TIFF file
compression=string
  TIFF file compression
  Options: none,packbit,deflate,lzw
  Default: none

## DESCRIPTION

This program converts a GRASS raster map to a TIFF raster map. Output may be 8 or 24 bit (TrueColor). Optionally, a TIFF World file compatible with ESRI's and other's products may be output.

The program prompts the user for the name of a GRASS raster map, an output TIFF file, whether an 8 or 24 bit format is desired, and whether or not to create a TIFF world file. Currently only uncompressed, packpit, or deflate TIFF files are written. These output formats are known to be compatible with r.in.tiff.

The output filename will always have the suffix `.tif`, and the Tiff World file (if requested) `.tfw`. Any `.tif` or `.tiff` suffix (case insensitive) specified in the output filename will be discarded.

When writing with "-l" option, tiles are written at 128x128 pixels. For programs that can utilize tiles, it can help speed up some drawing operations.

The user may adjust region and resolution before export using g.region.

A better choice to export GRASS raster data might be r.out.gdal.

## SEE ALSO

g.region, r.in.gdal, r.out.gdal

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

GRASS 5.0 team

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team